Get the hardware items of all departments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/departments/hardware-items

Get the hardware items of each department. The response is a map of department identifiers to lists of hardware items. You must be an administrator.

Responses

  • 200 application/json

    A map of department identifiers to lists of hardware items

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Hardware item unique identifier

      • name string

        Hardware item name

      • description string

        Hardware item description

      • department_id string(uuid)

        Department identifier

      • created_at string(date-time)

        Creation timestamp

      • updated_at string(date-time)

        Last update timestamp

  • 403

    You are not an administrator

GET /data/departments/hardware-items
curl -X GET "http://api.example.com/data/departments/hardware-items" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/departments/hardware-items"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "additionalProperty1": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c250",
      "name": "Workstation",
      "description": "High-performance workstation",
      "department_id": "b35b7fb5-df86-5776-b181-68564193d360",
      "created_at": "2023-01-01T12:00:00Z",
      "updated_at": "2023-01-01T12:30:00Z"
    }
  ],
  "additionalProperty2": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c250",
      "name": "Workstation",
      "description": "High-performance workstation",
      "department_id": "b35b7fb5-df86-5776-b181-68564193d360",
      "created_at": "2023-01-01T12:00:00Z",
      "updated_at": "2023-01-01T12:30:00Z"
    }
  ]
}